Package org.apache.sysds.runtime.instructions.spark.functions

# Class ConvertStringToLongTextPair

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.ConvertStringToLongTextPair

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFunction<String,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>`

public class ConvertStringToLongTextPair extends Object implements org.apache.spark.api.java.function.PairFunction<String,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConvertStringToLongTextPair()`

## Method Summary

Modifier and Type
Method
Description
`scala.Tuple2<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>`
`call(String arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvertStringToLongTextPair

public ConvertStringToLongTextPair()

## Method Details

### call

public scala.Tuple2<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text> call(String arg0)

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<String,org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text>`